import wx
import string


        
class Fenster(wx.Frame):
    def __init__(self, parent, title):
        wx.Frame.__init__(self, parent, -1, title,
                          pos=(100, 100), size=(517, 350))

        #Panel###############################

        ##
        panel = wx.Panel(self)
        ##
        
        ################################
        

        #Objekte###############################

        ##-->Bilder
        unterschrift=wx.Image('fertigtrans.gif', wx.BITMAP_TYPE_GIF).ConvertToBitmap()
        wx.StaticBitmap(panel, -1, unterschrift, (0, 260), (unterschrift.GetWidth(), unterschrift.GetHeight()))
        
        ##-->Schnittstellenfeld
        self.schnittstelle = wx.TextCtrl(panel, -1, "1", size=(30,-1), pos=(101,65))
        ##
        
        ##-->Buttons und Bilder fuer Buttons
        enbild = wx.Image('encrypt.gif', wx.BITMAP_TYPE_GIF).ConvertToBitmap()
        encryptbtn = wx.BitmapButton(panel, -1, enbild, (101, 1), (enbild.GetWidth(), enbild.GetHeight()))
        encryptbtn.SetToolTipString("Zum Verschluesseln diesen Button anklicken")
        #
        debild = wx.Image('decrypt.gif', wx.BITMAP_TYPE_GIF).ConvertToBitmap()
        decryptbtn = wx.BitmapButton(panel, -1, debild, (101, 100), (debild.GetWidth(), debild.GetHeight()))
        decryptbtn.SetToolTipString("Zum Entschluesseln diesen Button anklicken")
        ##
        
        ##-->Felder zum schluesseln
        self.encryptfeld = wx.TextCtrl(panel, -1, "Hier Text zum Verschluesseln eingeben", size=(200, 100), pos=(200,1))
        #
        self.decryptfeld = wx.TextCtrl(panel, -1, "Hier Text zum Entschluesseln eingeben", size=(200, 100), pos=(200,115))
        ##
        
        ##-->Texte
        hinweis=wx.StaticText(panel, -1, "Schnittstelle", pos=(101, 50))
        ##
        
        ################################


        #-->Ereignisse an Buttons binden

        ##
        self.Bind(wx.EVT_BUTTON, self.encrypt, encryptbtn)
        #
        self.Bind(wx.EVT_BUTTON, self.decrypt, decryptbtn)
        ##

        ################################
               

        #-->Panel

        ##
        panel.Layout()
        ##
        
        ################################


        #Ereignisse###############################
        
        #-->Verschluesseln
    def encrypt(self, evt):

        text=string.lower(self.encryptfeld.GetValue())
        
        code=""

        ausgangsalphabet='abcdefghijklmnopqrstuvwxyz'

        verschluesselungsalphabet=ausgangsalphabet[int(self.schnittstelle.GetValue()):]+ausgangsalphabet[:int(self.schnittstelle.GetValue())]  

        ####
        for i in range(len(text)):
            code=code+verschluesselungsalphabet[ausgangsalphabet.find(text[i])]
            
        self.decryptfeld.SetValue(code)    
        ####
  
        #-->Entschluesseln        
    def decrypt(self, evt):

        text2=string.lower(self.decryptfeld.GetValue())

        code2=""

        ausgangsalphabet='abcdefghijklmnopqrstuvwxyz'

        deschnitt=-1*int(self.schnittstelle.GetValue())

        verschluesselungsalphabet=ausgangsalphabet[deschnitt:]+ausgangsalphabet[:deschnitt]

        for i in range(len(text2)):
            code2=code2+verschluesselungsalphabet[ausgangsalphabet.find(text2[i])]
            
        self.encryptfeld.SetValue(code2)
        
        #############################################                                   
                       
                    
            
class MyApp(wx.App):
    def OnInit(self):
        frame = Fenster(None, "Cryptlord 2.7")
        print "HILFE: In das Verschluesselungsfeld, geben sie den zu verschluesselnden Text ein. In das Schnittstellenfeld geben sie die Schnittstelle ein, also um wieviel das Alphabet verschoben werden soll. Mit klicken auf den Verschluesseln Button, erhalten sie den Verschluesselten Text im anderen Feld. Das Gleiche funktioniert genauso umgekehrt"
        print ""
        print "Abdulhamid Cayirli, David Nowak, 10-Info-Al"
        self.SetTopWindow(frame)
        frame.Show(True)
        return True
        
app = MyApp(redirect=False)
app.MainLoop()




